/*
 * mp3lame.h
 * Copyright (C) 2011, 2012 Peter Belkner <pbelkner@snafu.de>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
DECL(lame_init)
DECL(lame_close)
DECL(lame_set_in_samplerate)
DECL(lame_set_num_channels)
DECL(lame_set_scale)
DECL(lame_set_VBR_q)
DECL(lame_set_VBR)
DECL(lame_set_write_id3tag_automatic)
DECL(lame_init_params)
DECL(lame_encode_buffer)
DECL(lame_encode_buffer_interleaved)
DECL(lame_encode_buffer_int)
DECL(lame_encode_buffer_ieee_float)
DECL(lame_encode_buffer_interleaved_ieee_float)
DECL(lame_encode_buffer_ieee_double)
DECL(lame_encode_buffer_interleaved_ieee_double)
DECL(lame_encode_buffer_long2)
DECL(lame_encode_flush)
DECL(lame_get_id3v1_tag)
DECL(lame_get_id3v2_tag)
DECL(lame_get_lametag_frame)
DECL(lame_get_VBR)
DECL(lame_set_VBR_quality)

DECL(id3tag_init)
DECL(id3tag_add_v2)
DECL(id3tag_set_artist)
DECL(id3tag_set_album)
DECL(id3tag_set_year)
DECL(id3tag_set_track)
DECL(id3tag_set_title)
DECL(id3tag_set_genre)
DECL(id3tag_set_textinfo_utf16)
